Debian GNU/Linux

Installation error on machines lacking a FQDN

Reported by Debian Bug Importer on 2005-02-09
16
Affects Status Importance Assigned to Milestone
squid (Debian)
New
Unknown
squid (Ubuntu)
Low
Unassigned

Bug Description

Automatically imported from Debian bug report #294431 http://bugs.debian.org/294431

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #294431 http://bugs.debian.org/294431

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 9 Feb 2005 19:27:45 +0100
From: Oliver Siegmar <email address hidden>
To: <email address hidden>
Subject: Installation error on machines lacking a FQDN

Package: squid
Version: 2.5.7-8
Severity: grave

apt-get install squid

Setting up squid-common (2.5.7-8) ...
Setting up squid (2.5.7-8) ...
Creating squid spool directory structure
FATAL: Could not determine fully qualified hostname. Please set
'visible_hostname'

Squid Cache (Version 2.5.STABLE7): Terminated abnormally.
CPU Usage: 0.004 seconds = 0.002 user + 0.002 sys
Maximum Resident Size: 0 KB
Page faults with physical i/o: 0
/var/lib/dpkg/info/squid.postinst: line 189: 2997
Aborted /usr/sbin/squid -z
Starting proxy server: Creating squid spool directory structure
FATAL: Could not determine fully qualified hostname. Please set
'visible_hostname'

Squid Cache (Version 2.5.STABLE7): Terminated abnormally.
CPU Usage: 0.004 seconds = 0.003 user + 0.001 sys
Maximum Resident Size: 0 KB
Page faults with physical i/o: 0
/etc/init.d/squid: line 174: 3027 Aborted /usr/sbin/squid -z
FATAL: Could not determine fully qualified hostname. Please set
'visible_hostname'

Squid Cache (Version 2.5.STABLE7): Terminated abnormally.
CPU Usage: 0.005 seconds = 0.003 user + 0.002 sys
Maximum Resident Size: 0 KB
Page faults with physical i/o: 0
/etc/init.d/squid: line 174: 3029 Aborted start-stop-daemon
--quiet --start --pidfile $PIDFILE --chuid $CHUID --exec $DAEMON --
$SQUID_ARGS </dev/null
squid.

Why is this grave? Error is self-explainatory, and since it is the
sistem that lacks something, it's not squid fault.

If you don't want to add the right line to /etc/hosts, you can uncomment
visible_hostname in /etc/squid/squid.conf.

Regards,

--
 Luigi Gangitano -- <email address hidden> -- <email address hidden>
 GPG: 1024D/924C0C26: 12F8 9C03 89D3 DB4A 9972 C24A F19B A618 924C 0C26

> Why is this grave? Error is self-explainatory, and since it is the
> sistem that lacks something, it's not squid fault.
>
> If you don't want to add the right line to /etc/hosts, you can uncomment
> visible_hostname in /etc/squid/squid.conf.

It is a brand new sarge installation - I haven't tweaked anything.
So...everyone will get this error in the first place if he/she doesn't
configure anything manually, right?

At least the installation script should perform a 'hostname -f' or something
to avoid this kind of errors and to enable visible_hostname by itself.

So I think it is a grave bug.

Cheers,
Oliver

Debian Bug Importer (debzilla) wrote :

Message-Id: <1107977081.6157.2.camel@willis>
Date: Wed, 09 Feb 2005 20:24:41 +0100
From: Luigi Gangitano <email address hidden>
To: Oliver Siegmar <email address hidden>, <email address hidden>
Subject: Re: Bug#294431: Installation error on machines lacking a FQDN

--=-hf6dnERLAT2+FOFyb0pU
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Why is this grave? Error is self-explainatory, and since it is the
sistem that lacks something, it's not squid fault.

If you don't want to add the right line to /etc/hosts, you can uncomment
visible_hostname in /etc/squid/squid.conf.

Regards,

--=20
 Luigi Gangitano -- <email address hidden> -- <email address hidden>
 GPG: 1024D/924C0C26: 12F8 9C03 89D3 DB4A 9972 C24A F19B A618 924C 0C26

--=-hf6dnERLAT2+FOFyb0pU
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: Questa parte del messaggio =?ISO-8859-1?Q?=E8?= firmata

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQBCCmN58ZumGJJMDCYRAi9EAJ41iD2sKXJxqe99Fly7uxN6PalrsACdGPvs
L6gW5hc+uj2e6SvMHMoKMik=
=ewA0
-----END PGP SIGNATURE-----

--=-hf6dnERLAT2+FOFyb0pU--

Il giorno mer, 09-02-2005 alle 20:58 +0100, Oliver Siegmar ha scritto:
> It is a brand new sarge installation - I haven't tweaked anything.
> So...everyone will get this error in the first place if he/she doesn't
> configure anything manually, right?
>
> At least the installation script should perform a 'hostname -f' or something
> to avoid this kind of errors and to enable visible_hostname by itself.

What would you suggest it'd be a reasonable value for visible_hostname
if there's no FQDN set?

> So I think it is a grave bug.

From rom http://www.debian.org/Bugs/Developer.en.html

grave
        makes the package in question unusable or mostly so, or causes
        data loss, or introduces a security hole allowing access to the
        accounts of users who use the package.

Do you see this bug makeing the package unusable or causing data loss or
introducing a security hole?

Regards,

--
 Luigi Gangitano -- <email address hidden> -- <email address hidden>
 GPG: 1024D/924C0C26: 12F8 9C03 89D3 DB4A 9972 C24A F19B A618 924C 0C26

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 9 Feb 2005 20:58:34 +0100
From: Oliver Siegmar <email address hidden>
To: Luigi Gangitano <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#294431: Installation error on machines lacking a FQDN

> Why is this grave? Error is self-explainatory, and since it is the
> sistem that lacks something, it's not squid fault.
>
> If you don't want to add the right line to /etc/hosts, you can uncomment
> visible_hostname in /etc/squid/squid.conf.

It is a brand new sarge installation - I haven't tweaked anything.
So...everyone will get this error in the first place if he/she doesn't
configure anything manually, right?

At least the installation script should perform a 'hostname -f' or something
to avoid this kind of errors and to enable visible_hostname by itself.

So I think it is a grave bug.

Cheers,
Oliver

On Wednesday 09 February 2005 21:29, Luigi Gangitano wrote:
> What would you suggest it'd be a reasonable value for visible_hostname
> if there's no FQDN set?

localhost.localdomain ?!

...at least this is the default entry for 127.0.0.1 on a new sarge box.

> Do you see this bug makeing the package unusable or causing data loss or
> introducing a security hole?

The spool directory isn't created and therefore squid won't start.

So the package _IS_ unusable until you edit /etc/squid.conf and set
visible_hostname to something.

Cheers,
Oliver

Hi

squid is installed after the base setup is complete.
The base setup should set the FQDN. Did you refuse to set it
during the install ?
Or is there a bug in the installer ...

I don't think package should check things that are already
managed by the dependency system. This in itself is a policy
violation.

Cheers
Alban

Debian Bug Importer (debzilla) wrote :

Message-Id: <1107980963.6157.6.camel@willis>
Date: Wed, 09 Feb 2005 21:29:22 +0100
From: Luigi Gangitano <email address hidden>
To: Oliver Siegmar <email address hidden>, <email address hidden>
Subject: Re: Bug#294431: Installation error on machines lacking a FQDN

--=-tbP7HWrKoj8GwJNyQpJ5
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Il giorno mer, 09-02-2005 alle 20:58 +0100, Oliver Siegmar ha scritto:
> It is a brand new sarge installation - I haven't tweaked anything.=20
> So...everyone will get this error in the first place if he/she doesn't=20
> configure anything manually, right?
>=20
> At least the installation script should perform a 'hostname -f' or someth=
ing=20
> to avoid this kind of errors and to enable visible_hostname by itself.

What would you suggest it'd be a reasonable value for visible_hostname
if there's no FQDN set?

> So I think it is a grave bug.

=46rom rom http://www.debian.org/Bugs/Developer.en.html

grave
        makes the package in question unusable or mostly so, or causes
        data loss, or introduces a security hole allowing access to the
        accounts of users who use the package.
       =20
Do you see this bug makeing the package unusable or causing data loss or
introducing a security hole?

Regards,

--=20
 Luigi Gangitano -- <email address hidden> -- <email address hidden>
 GPG: 1024D/924C0C26: 12F8 9C03 89D3 DB4A 9972 C24A F19B A618 924C 0C26

--=-tbP7HWrKoj8GwJNyQpJ5
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: Questa parte del messaggio =?ISO-8859-1?Q?=E8?= firmata

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQBCCnKi8ZumGJJMDCYRAo63AJ9UHazLB9QyriYLIkGantppOzFCJACfTahm
7ysYAcF+1YjdhCdG2sCsEYw=
=6Rla
-----END PGP SIGNATURE-----

--=-tbP7HWrKoj8GwJNyQpJ5--

Hi Alban,

On Wednesday 09 February 2005 21:47, <email address hidden> wrote:
> squid is installed after the base setup is complete.
> The base setup should set the FQDN. Did you refuse to set it
> during the install ?
> Or is there a bug in the installer ...

I haven't set up that box by myself. I guess the guy who did, had left the
domain name field blank. Maybe it shouldn't be optional?

> I don't think package should check things that are already
> managed by the dependency system. This in itself is a policy
> violation.

How was this handled in woody? I can't remember a similar problem.

Cheers
Oliver

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 9 Feb 2005 21:46:50 +0100
From: Oliver Siegmar <email address hidden>
To: Luigi Gangitano <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#294431: Installation error on machines lacking a FQDN

On Wednesday 09 February 2005 21:29, Luigi Gangitano wrote:
> What would you suggest it'd be a reasonable value for visible_hostname
> if there's no FQDN set?

localhost.localdomain ?!

...at least this is the default entry for 127.0.0.1 on a new sarge box.

> Do you see this bug makeing the package unusable or causing data loss or
> introducing a security hole?

The spool directory isn't created and therefore squid won't start.

So the package _IS_ unusable until you edit /etc/squid.conf and set
visible_hostname to something.

Cheers,
Oliver

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 9 Feb 2005 21:47:00 +0100
From: <email address hidden>
To: <email address hidden>
Subject: Re : FQDN and squid

Hi

squid is installed after the base setup is complete.
The base setup should set the FQDN. Did you refuse to set it
during the install ?
Or is there a bug in the installer ...

I don't think package should check things that are already
managed by the dependency system. This in itself is a policy
violation.

Cheers
Alban

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 9 Feb 2005 22:28:01 +0100
From: Oliver Siegmar <email address hidden>
To: <email address hidden>,
 <email address hidden>
Subject: Re: Bug#294431: Re : FQDN and squid

Hi Alban,

On Wednesday 09 February 2005 21:47, <email address hidden> wrote:
> squid is installed after the base setup is complete.
> The base setup should set the FQDN. Did you refuse to set it
> during the install ?
> Or is there a bug in the installer ...

I haven't set up that box by myself. I guess the guy who did, had left the
domain name field blank. Maybe it shouldn't be optional?

> I don't think package should check things that are already
> managed by the dependency system. This in itself is a policy
> violation.

How was this handled in woody? I can't remember a similar problem.

Cheers
Oliver

Il giorno mer, 09-02-2005 alle 21:46 +0100, Oliver Siegmar ha scritto:
> The spool directory isn't created and therefore squid won't start.
>
> So the package _IS_ unusable until you edit /etc/squid.conf and set
> visible_hostname to something.

Exactly as any other package that administrator has not completely
configured. For example postgresql is unusable if administrator doens't
create users and databases.

BTW, can you please report if during install you specified hostname and
domain name. If this is the case, this bug is not for squid but for
general, since the installation didn't set /etc/hosts correctly.

Regards,

--
 Luigi Gangitano -- <email address hidden> -- <email address hidden>
 GPG: 1024D/924C0C26: 12F8 9C03 89D3 DB4A 9972 C24A F19B A618 924C 0C26

Pronto Luigi,

On Wednesday 09 February 2005 23:09, Luigi Gangitano wrote:
> Il giorno mer, 09-02-2005 alle 21:46 +0100, Oliver Siegmar ha scritto:
> > The spool directory isn't created and therefore squid won't start.
> >
> > So the package _IS_ unusable until you edit /etc/squid.conf and set
> > visible_hostname to something.
>
> Exactly as any other package that administrator has not completely
> configured. For example postgresql is unusable if administrator doens't
> create users and databases.

That's not true. When PostgreSQL is installed the user postgres is added to
the system and the database template0 and template1 are created.

But that's not the matter. The matter is, that the installation script of
squid doesn't say "Hey you haven't set a FQDN on your box - squid can't live
without that. Please provide these information within /etc/hosts or by
setting visible_hostname in /etc/squid.conf" ...or something.
Instead it throws tons of errors showing "Terminated abnormally" - that's just
an unhandled (very confusing) exception that should be fixed.

> BTW, can you please report if during install you specified hostname and
> domain name. If this is the case, this bug is not for squid but for
> general, since the installation didn't set /etc/hosts correctly.

I'll provide this information by tomorrow - I'll ask the installer guy.

Cheers
Oliver

Debian Bug Importer (debzilla) wrote :

Message-Id: <1107986978.6157.12.camel@willis>
Date: Wed, 09 Feb 2005 23:09:38 +0100
From: Luigi Gangitano <email address hidden>
To: Oliver Siegmar <email address hidden>, <email address hidden>
Subject: Re: Bug#294431: Installation error on machines lacking a FQDN

--=-xGBhYvyyWCz05dWYkFU5
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Il giorno mer, 09-02-2005 alle 21:46 +0100, Oliver Siegmar ha scritto:
> The spool directory isn't created and therefore squid won't start.
>=20
> So the package _IS_ unusable until you edit /etc/squid.conf and set=20
> visible_hostname to something.

Exactly as any other package that administrator has not completely
configured. For example postgresql is unusable if administrator doens't
create users and databases.

BTW, can you please report if during install you specified hostname and
domain name. If this is the case, this bug is not for squid but for
general, since the installation didn't set /etc/hosts correctly.

Regards,

--=20
 Luigi Gangitano -- <email address hidden> -- <email address hidden>
 GPG: 1024D/924C0C26: 12F8 9C03 89D3 DB4A 9972 C24A F19B A618 924C 0C26

--=-xGBhYvyyWCz05dWYkFU5
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: Questa parte del messaggio =?ISO-8859-1?Q?=E8?= firmata

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQBCCooi8ZumGJJMDCYRAnT0AJ9WxvbZEXagppThFpylJd48n9uygACcDHjf
OsCt/VtxjmeJhj3xgRla76s=
=2eVj
-----END PGP SIGNATURE-----

--=-xGBhYvyyWCz05dWYkFU5--

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 9 Feb 2005 23:26:00 +0100
From: Oliver Siegmar <email address hidden>
To: Luigi Gangitano <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#294431: Installation error on machines lacking a FQDN

Pronto Luigi,

On Wednesday 09 February 2005 23:09, Luigi Gangitano wrote:
> Il giorno mer, 09-02-2005 alle 21:46 +0100, Oliver Siegmar ha scritto:
> > The spool directory isn't created and therefore squid won't start.
> >
> > So the package _IS_ unusable until you edit /etc/squid.conf and set
> > visible_hostname to something.
>
> Exactly as any other package that administrator has not completely
> configured. For example postgresql is unusable if administrator doens't
> create users and databases.

That's not true. When PostgreSQL is installed the user postgres is added to
the system and the database template0 and template1 are created.

But that's not the matter. The matter is, that the installation script of
squid doesn't say "Hey you haven't set a FQDN on your box - squid can't live
without that. Please provide these information within /etc/hosts or by
setting visible_hostname in /etc/squid.conf" ...or something.
Instead it throws tons of errors showing "Terminated abnormally" - that's just
an unhandled (very confusing) exception that should be fixed.

> BTW, can you please report if during install you specified hostname and
> domain name. If this is the case, this bug is not for squid but for
> general, since the installation didn't set /etc/hosts correctly.

I'll provide this information by tomorrow - I'll ask the installer guy.

Cheers
Oliver

Le mercredi 09 février 2005 à 22:28 +0100, Oliver Siegmar a écrit :
> Hi Alban,
>
> On Wednesday 09 February 2005 21:47, <email address hidden> wrote:
> > squid is installed after the base setup is complete.
> > The base setup should set the FQDN. Did you refuse to set it
> > during the install ?
> > Or is there a bug in the installer ...
>
> I haven't set up that box by myself. I guess the guy who did, had left the
> domain name field blank. Maybe it shouldn't be optional?
>
> > I don't think package should check things that are already
> > managed by the dependency system. This in itself is a policy
> > violation.
>
> How was this handled in woody? I can't remember a similar problem.

>From osdir.com screenshots:
host:
http://shots.osdir.com/slideshows/slideshow.php?release=184&slide=7
domain:
http://shots.osdir.com/slideshows/slideshow.php?release=184&slide=8

I don't know if the fqdn is build from those . My main point is that the
installer ask those data. Maybe it just fill /etc/hostname and this may
not be enough for squid to setup properly.

I would let you and the squid maintenair determine if the bug is in the
installer not filling all configuration files, that the box was not
setup with a valid domain during base setup, or if etherconf or such
package is required before squid.

Maybe even the squid installer script could check if a valid fqdn is
available. But if something was done wrong during the install, it s not
squid job to fix the network configuration.

I am considering reassigning it to the installer , they know what they
setup better.
Luigi if you don't know either would you mind if i reassign it ?

Sorry i know few about the installer internals. I am confident that it
at least set the fqdn build from installer query about hostname + domain
in /etc/hostname. Mine contains somthing like :
test.domain.net

Regards
Alban

Debian Bug Importer (debzilla) wrote :

Message-Id: <1107996078.26188.19.camel@localhost>
Date: Thu, 10 Feb 2005 01:41:17 +0100
From: Alban browaeys <email address hidden>
To: Oliver Siegmar <email address hidden>
Cc: Luigi Gangitano <email address hidden>, <email address hidden>
Subject: Re: Bug#294431: Re : FQDN and squid

Le mercredi 09 f=E9vrier 2005 =E0 22:28 +0100, Oliver Siegmar a =E9crit :
> Hi Alban,
>=20
> On Wednesday 09 February 2005 21:47, <email address hidden> wrote:
> > squid is installed after the base setup is complete.
> > The base setup should set the FQDN. Did you refuse to set it
> > during the install ?
> > Or is there a bug in the installer ...
>=20
> I haven't set up that box by myself. I guess the guy who did, had left th=
e=20
> domain name field blank. Maybe it shouldn't be optional?
>=20
> > I don't think package should check things that are already
> > managed by the dependency system. This in itself is a policy
> > violation.
>=20
> How was this handled in woody? I can't remember a similar problem.

>From osdir.com screenshots:
host:
http://shots.osdir.com/slideshows/slideshow.php?release=3D184&slide=3D7
domain:
http://shots.osdir.com/slideshows/slideshow.php?release=3D184&slide=3D8=20

I don't know if the fqdn is build from those . My main point is that the
installer ask those data. Maybe it just fill /etc/hostname and this may
not be enough for squid to setup properly.=20

I would let you and the squid maintenair determine if the bug is in the
installer not filling all configuration files, that the box was not
setup with a valid domain during base setup, or if etherconf or such
package is required before squid.

Maybe even the squid installer script could check if a valid fqdn is
available. But if something was done wrong during the install, it s not
squid job to fix the network configuration.

I am considering reassigning it to the installer , they know what they
setup better.=20
Luigi if you don't know either would you mind if i reassign it ?

Sorry i know few about the installer internals. I am confident that it
at least set the fqdn build from installer query about hostname + domain
in /etc/hostname. Mine contains somthing like :
test.domain.net

Regards
Alban

Please note that the standard way of setting up a Debian system that
lacks a permanent network card is:

$ cat /etc/hostname
foo
$ hostname
foo
$ cat /etc/hosts
127.0.0.1 localhost.localdomain localhost foo
...
$ hostname -f
localhost.localdomain

The setup that I recommend, and which I plan to promote as the future
standard, for machines without permanent network cards is:
$ cat /etc/hostname
foo
$ hostname
foo
$ cat /etc/hosts
127.0.0.1 localhost.localdomain localhost
127.0.1.1 foo
..
$ hostname -f
foo

If the machine has a permanent network card with a permanent IP address
(i.e., not assigned by DHCP) but no permanent domain name then the
standard configuration is:

$ cat /etc/hostname
foo
$ hostname
foo
$ cat /etc/hosts
127.0.0.1 localhost.localdomain localhost
202.13.55.88 foo
..
$ hostname -f
foo

If the machine has a permanent network card with a permanent IP address
and a permanent domain name then the standard configuration is:

$ cat /etc/hostname
foo
$ hostname
foo
$ cat /etc/hosts
127.0.0.1 localhost.localdomain localhost
202.13.55.88 foo.foodomain foo
..
$ hostname -f
foo.foodomain

On installation, squid should be able to handle all these standard
configurations without failing in order to be considered fit for
release.
--
Thomas Hood <email address hidden>

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Fri, 11 Feb 2005 10:59:48 +0100
From: Thomas Hood <email address hidden>
To: <email address hidden>, <email address hidden>
Subject: Standard network configurations

Please note that the standard way of setting up a Debian system that
lacks a permanent network card is:

$ cat /etc/hostname
foo
$ hostname
foo
$ cat /etc/hosts
127.0.0.1 localhost.localdomain localhost foo
...
$ hostname -f
localhost.localdomain

The setup that I recommend, and which I plan to promote as the future
standard, for machines without permanent network cards is:
$ cat /etc/hostname
foo
$ hostname
foo
$ cat /etc/hosts
127.0.0.1 localhost.localdomain localhost
127.0.1.1 foo
...
$ hostname -f
foo

If the machine has a permanent network card with a permanent IP address
(i.e., not assigned by DHCP) but no permanent domain name then the
standard configuration is:

$ cat /etc/hostname
foo
$ hostname
foo
$ cat /etc/hosts
127.0.0.1 localhost.localdomain localhost
202.13.55.88 foo
...
$ hostname -f
foo

If the machine has a permanent network card with a permanent IP address
and a permanent domain name then the standard configuration is:

$ cat /etc/hostname
foo
$ hostname
foo
$ cat /etc/hosts
127.0.0.1 localhost.localdomain localhost
202.13.55.88 foo.foodomain foo
...
$ hostname -f
foo.foodomain

On installation, squid should be able to handle all these standard
configurations without failing in order to be considered fit for
release.
--
Thomas Hood <email address hidden>

severity 294431 normal
thanks

I'm reducing severity of this bug since a small change in configration
file (changing configuration file is expected for a service like squid)
is sufficient to fix it.

On the other hand we should gracefully handle first time installation
and I'm going to investigate this bug further, altought there's no easy
way to fix already installed configuration files.

Regards,

--
 Luigi Gangitano -- <email address hidden> -- <email address hidden>
 GPG: 1024D/924C0C26: 12F8 9C03 89D3 DB4A 9972 C24A F19B A618 924C 0C26

Debian Bug Importer (debzilla) wrote :

Message-Id: <1108230551.26709.14.camel@willis>
Date: Sat, 12 Feb 2005 18:49:10 +0100
From: Luigi Gangitano <email address hidden>
To: <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#294431: Installation error on machines lacking a FQDN

--=-Sh+EtyRZd7u44rP5lZiU
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

severity 294431 normal
thanks

I'm reducing severity of this bug since a small change in configration
file (changing configuration file is expected for a service like squid)
is sufficient to fix it.

On the other hand we should gracefully handle first time installation
and I'm going to investigate this bug further, altought there's no easy
way to fix already installed configuration files.

Regards,

--=20
 Luigi Gangitano -- <email address hidden> -- <email address hidden>
 GPG: 1024D/924C0C26: 12F8 9C03 89D3 DB4A 9972 C24A F19B A618 924C 0C26

--=-Sh+EtyRZd7u44rP5lZiU
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: Questa parte del messaggio =?ISO-8859-1?Q?=E8?= firmata

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQBCDkGW8ZumGJJMDCYRAhKlAJ44HYcZp7VqZ9hvknamrpTRSmOLfwCdHe0Z
948aT7qvicgiwKaeQ2NVmDw=
=LX7c
-----END PGP SIGNATURE-----

--=-Sh+EtyRZd7u44rP5lZiU--

Carthik Sharma (carthik) wrote :

Newer version in Ubuntu (ver. 2.5.12-4ubuntu2). Looks like a configuration file problem/ Debian wishlist for an old Debian package (ver. 2.5.7-8). Closing.

Changed in squid:
status: Unconfirmed → Rejected

merge 396028 294431
thanks

--
Luigi Gangitano -- <email address hidden> -- <email address hidden>
GPG: 1024D/924C0C26: 12F8 9C03 89D3 DB4A 9972 C24A F19B A618 924C 0C26

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.